#!/bin/bash
# match-string.sh: simple correspondance de chaînes de caractères

chaines_correspondent ()
{
  CORRESPOND=0
  CORRESPOND_PAS=90
  PARAMS=2     # La fonction requiert deux arguments.
  MAUVAIS_PARAMS=91

  [ $# -eq $PARAMS ] || return $MAUVAIS_PARAMS

  case "$1" in
  "$2") return $CORRESPOND;;
  *   ) return $CORRESPOND_PAS;;
  esac

}  


a=un
b=deux
c=trois
d=deux


chaines_correspondent $a     # mauvais nombre de paramètres
echo $?             # 91

chaines_correspondent $a $b  # pas de correspondance
echo $?             # 90

chaines_correspondent $b $d  # correspondance
echo $?             # 0


exit 0		    
